Bug 193218 - pre-edit buffer does not reflect the candidate selection via mouse click
Summary: pre-edit buffer does not reflect the candidate selection via mouse click
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: im-sdk   
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-26 06:02 UTC by Lawrence Lim
Modified: 2014-03-26 00:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 07:56:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Lim 2006-05-26 06:02:15 UTC
Description of problem:
While working thr Bug 173134, noticed that in kedit application, if user uses
mouse-click for candidate selection it is not reflected in the pre-edit buffer.
However, if user commit the pre-edit buffer the selected candiate will be committed.

Version-Release number of selected component (if applicable):
im-sdk-12.1-13.EL.5.s390x

How reproducible:
Always

Steps to Reproduce:
1.log in ja_JP locale
2.start kedit
3.ctrl-space and type 'aka' 
4.SPACE SPACE to bring up candiate window
5.use mouse click to select a candiate
6.observe the pre-edit buffer
7.press 'enter' to commit the char to the application
8.observe the result, it was the candiate selected in Step 5
  
Actual results:
pre-edit buffer not updated

Expected results:
pre-edit buffer should be updated to reflect user's selection

Additional info:

Comment 1 Jens Petersen 2008-02-29 07:56:42 UTC
Unfortunately no plans to fix this so deferring for now.


Note You need to log in before you can comment on or make changes to this bug.